package com.fjhx.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.order.OrderDetails;
import com.fjhx.entity.order.OrderInfo;
import com.fjhx.params.order.IssueVo;
import com.fjhx.params.order.OrderDetailsEx;
import com.fjhx.params.order.OrderDetailsVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 销售订单明细表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-13
 */
public interface OrderDetailsService extends BaseService<OrderDetails> {

    Page<OrderDetails> getPage(Map<String, Object> condition);

    void add(OrderDetailsVo orderDetailsVo);

    void edit(OrderDetailsVo orderDetailsVo);

    void delete(OrderDetailsVo orderDetailsVo);

    List<OrderDetailsEx> listByOrderSalesId(Long orderId);

    void issue(IssueVo issueVo);

}
